<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el registro de inconsistencias
@cu 			CU-TV-PR-002
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros


-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="registrarInconsistenciasForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsRegistrarInconsitencias" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="registrarInconsistenciasFS">
        <legend>
            <h:outputText value="Registrar inconsistencias"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="2">

            <h:panelGrid columns="2">
                <h:outputLabel value="Predio:" styleClass="outputLabelStyle"
                               id="numeroPredialLabel" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <ui:include src="/conservacion/validacion/numeroPredialConFormato.xhtml">
                <ui:param name="objetoContenedorNumeroPredialParam"
                          value="#{managedBeanParam.numeroPredialPartes}" />
                <ui:param name="idParam" value="busquedaProductos" />
                <ui:param name="formPIdParam" value="registrarInconsistenciasForm" />
            </ui:include>

        </h:panelGrid>

        <p:spacer height="20" width="0"/>

        <h:panelGrid>
            <p:commandButton value="Aceptar"
                             action="#{managedBeanParam.asociarInconsistenciaAProductoCatastral}"
                             update="tblDatosProductosInconsistencias, msgsRegistrarInconsitencias"
                             icon="ui-icon ui-icon-search"/>
        </h:panelGrid>

        <p:spacer height="20" width="0"/>

        <p:dataTable
            id="tblDatosProductosInconsistencias" var="productoInconsistencia"
            widgetVar="tblDatosProductosInconsistenciasWV"
            emptyMessage="No se han adicionado inconsistencias a los productos"
            rowKey="#{productoInconsistencia.numeroPredial}"
            selection="#{managedBeanParam.productoInconsistenciasDTOSeleccionado}"
            selectionMode="single"
            value="#{managedBeanParam.productoInconsistenciasDTO}">

            <p:column headerText="Predios">
                <h:outputText value="#{productoInconsistencia.numeroPredial}" />
            </p:column>

            <p:column headerText="Descripción trámite catastral">
                <h:outputText value="#{productoInconsistencia.tramiteCatastralDescripcion}" />
            </p:column>	

        </p:dataTable>

        <p:spacer height="20" width="0"/>

        <h:panelGrid columns="3">

            <p:commandButton value="Registrar trámite catastral"
                             update=":descripcionTramiteCatastralForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();descripcionTramiteCatastralWV.show();"
                             onclick="if (tblDatosProductosInconsistenciasWV.selection.length === 0) {
                                         alert('Debe seleccionar una inconsistencia asociada al producto!');
                                         return false;
                                     }"
                             process="@this, tblDatosProductosInconsistencias"/>

            <p:spacer height="0" width="20" />

            <p:commandButton value="Guardar"
                             icon="ui-icon ui-icon-disk"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();registrarInconsistenciasWV.hide();"
                             update=":consultarPorDatosPersonaForm,:registrarInconsistenciasForm"
                             action="#{managedBeanParam.guardarProductoCatastralDetalleInconsistencias}"/>

        </h:panelGrid>	

    </p:fieldset>

</h:form>

